package com.jxdinfo.hussar.core.bouncycastle.asn1.iana;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1ObjectIdentifier;
import com.jxdinfo.hussar.core.support.exception.ToolBoxException;
import com.jxdinfo.hussar.core.util.DateTimeUtils;

public interface IANAObjectIdentifiers {
  public static final ASN1ObjectIdentifier hmacRIPEMD160;
  
  public static final ASN1ObjectIdentifier isakmpOakley = new ASN1ObjectIdentifier(ToolBoxException.null("kY6V<S>T=S:N*\004i"));
  
  public static final ASN1ObjectIdentifier hmacMD5 = new ASN1ObjectIdentifier(isakmpOakley + DateTimeUtils.break("1k"));
  
  public static final ASN1ObjectIdentifier hmacSHA1 = new ASN1ObjectIdentifier(isakmpOakley + ToolBoxException.null("\004j"));
  
  public static final ASN1ObjectIdentifier hmacTIGER = new ASN1ObjectIdentifier(isakmpOakley + DateTimeUtils.break("1i"));
  
  static {
    hmacRIPEMD160 = new ASN1ObjectIdentifier(isakmpOakley + ToolBoxException.null("\004l"));
  }
}
